明经CAD社区

 找回密码
 注册

扫一扫,访问微社区

QQ登录

只需一步,快速开始

查看: 449|回复: 4

[讨论] 新年好!调用箭头命令的时候,怎么实现只点击2个点,就直接完成一个没有文字的箭头

[复制链接]
发表于 2021-2-16 20:58 | 显示全部楼层 |阅读模式
  (setq pt1 (getpoint "\n指定起点->"))
  (setq pt2 (getpoint pt1 "\n指定终点->"))
(command"_qleader" pt2 pt1 "" )

(qleader这个命令默认总是要求用户输入文字)

发表于 2021-2-16 22:35 来自手机 | 显示全部楼层
先设置一下
发表于 2021-2-16 23:39 | 显示全部楼层
本帖最后由 vitalgg 于 2021-2-19 16:14 编辑

@lisp 基础库 有实现函数 。
用法:
  1. (entity:make-leader startpt endpt)
  2. (entity:make-leader (setq pt1 (getpoint "请输入起点:")) (getpoint pt1 "请输入终点:"))


  1. (defun entity:make-leader (startpt endpt)
  2.    (entmake (list
  3.           '(0 . "leader")
  4.           '(100 . "AcDbEntity")
  5.           '(67 . 0)
  6.           '(410 . "Model")
  7.           ;; '(8 . "0") ;; 图层
  8.           '(100 . "AcDbLeader")
  9.           ;; '(3 . "TSSD_100_100") 样式
  10.           '(71 . 1)
  11.           '(72 . 0)
  12.           '(73 . 3)
  13.           '(74 . 1)
  14.           '(75 . 0)
  15.           '(40 . 0.0)
  16.           '(41 . 0.0)
  17.           '(76 . 2)
  18.           (cons 10 startpt )  ;; (setq pt1 (getpoint "请输入起点:")))
  19.           (cons 10 endpt) ;; (getpoint pt1 "请输入终点:"))
  20.           '(211 1.0 0.0 0.0)
  21.           '(210 0.0 0.0 1.0)
  22.           '(212 0.0 0.0 0.0)
  23.           '(213 0.0 0.0 0.0))))

 楼主| 发表于 2021-2-17 08:17 | 显示全部楼层
vitalgg 发表于 2021-2-16 23:39
@lisp 基础库 有实现函数 。
用法:

这个好~
发表于 2021-2-18 22:37 | 显示全部楼层
  1. (defun entmake-Leader (p1 p2)
  2.   (entmake (list '(0 . "leader")
  3.                  '(100 . "AcDbEntity")
  4.                  '(67 . 0)
  5.                  '(8 . "0")
  6.                  '(100 . "AcDbLeader")
  7.                  '(71 . 1)
  8.                  '(72 . 0)
  9.                  '(73 . 3)
  10.                  '(74 . 1)
  11.                  '(75 . 0)
  12.                  '(40 . 0.0)
  13.                  '(41 . 0.0)
  14.                  '(76 . 2)
  15.                  (cons 10 p1)
  16.                  (cons 10 p2)
  17.            )
  18.   )
  19. )
您需要登录后才可以回帖 登录 | 注册

本版积分规则

小黑屋|手机版|CAD论坛|CAD教程|CAD下载|联系我们|关于明经|明经通道 ( 粤ICP备05003914号  
©2000-2020 明经通道 版权所有 本站代码,在未取得本站及作者授权的情况下,不得用于商业用途

GMT+8, 2021-10-25 13:13 , Processed in 0.473552 second(s), 24 queries , Gzip On.

Powered by Discuz! X3.3

© 2001-2013 Comsenz Inc.

快速回复 返回顶部 返回列表